Jalama - Bug #1624

XBL Datatable Widget - make single values into labels
07/07/2004 03:26 PM - Matthew Brooke

Status: New Start date: 07/07/2004
Priority: Normal Due date:

Assignee: Matthew Brooke % Done: 0%
Category: jalama-general Estimated time: 0.00 hour
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 1624

Description

closed bug 1106 and opened this one to update it.

If a data entry field has only one possible value, make it a label or make it
non-editable so it doesn't get focus. This will make it easier for user tabbing
thru fields

Related issues:
Blocked by Jalama - Bug #2039: XBL DATATABLE WIDGET Tracking Bug

Resolved 03/11/2005

History

#1 - 09/01/2004 03:42 PM - Matthew Brooke

as a first step, have changed drop-down list so that if it has only one value,
that value is selected and the list is disabled (therefore does not receive
focus when user is tabbing across fields)

#2 - 03/11/2005 11:34 AM - Matthew Brooke

lowered priority - not needed for 1.0.0beta1

#3 - 08/26/2005 11:36 AM - Matthew Brooke

end of grant cleanup. Postponing

#4 - 03/27/2013 02:17 PM - Redmine Admin
Original Bugzilla ID was 1624
